# Währungsrechner – Projektbeschreibung

In diesem Projekt haben wir eine einfache WPF-Anwendung mit C# entwickelt, die Euro-Beträge in verschiedene andere Währungen umrechnen kann.

## Projektverlauf

### 1. Grundgerüst erstellen

Zuerst haben wir das Grundgerüst des Programms geschrieben. Dabei ging es vor allem darum, den Code grob aufzubauen und die Hauptlogik für die Umrechnung zu schreiben.  

Anschließend haben wir die Benutzeroberfläche mit WPF gestaltet und grundlegende Steuerelemente wie `TextBox`, `ComboBox` und `Button` eingefügt.

Zu diesem Zeitpunkt konnte das Programm nur Euro in Dollar umrechnen.

---

### 2. Probleme mit Gitea und Lösung

Wir hatten Schwierigkeiten, das Projekt in Gitea hochzuladen.  

Die Lösung war:  
- Zuerst ein Repository direkt in Gitea erstellen  
- Dann das Repository lokal klonen  
- Anschließend das Projekt in diesem geklonten Ordner ablegen und darin weiterarbeiten  

So konnten wir das Projekt erfolgreich versionieren.

---

### 3. Erweiterung auf mehrere Währungen

Als der Grundaufbau funktionierte, haben wir das Programm erweitert.  

Jetzt kann man nicht mehr nur Dollar auswählen, sondern auch andere Währungen wie:  
- Pfund  
- Yen  
- Lira  
- Dirham  

Diese Erweiterung erforderte kleinere Änderungen im Code und der Benutzeroberfläche.

---

### 4. Oberfläche verschönern

Zum Schluss haben wir das Layout verbessert.  

Wir haben z.B. die Texte in den Boxen zentriert, die Steuerelemente gleichmäßig ausgerichtet und auf ein sauberes Gesamtbild geachtet.  

Auch die automatische Anpassung bei Fenstervergrößerung haben wir verbessert.

---

### 5. Recherche im Internet

Für den letzten Schritt mussten wir recherchieren.  

Besonders hilfreich war dabei die Dokumentation zu XAML und verschiedene Forenbeiträge.
Chatgpt hat sehr schlechte Lösungsansätze vorgeschlagen, daher haben wir uns für andere Webseiten wie z.B. mycsharp.de oder auch direkt bei Microsoft.

---

## Verwendete Technologien

- C#
- WPF
- XAML
- Gitea

---

## Starten der Anwendung

Das Projekt kann mit Visual Studio geöffnet und direkt gestartet werden (`F5`).
